# KSPRichardsonSetScale

Set the damping factor; if this routine is not called, the factor defaults to 1.0.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPRichardsonSetScale(KSP ksp,PetscReal scale)

Collective on KSP

### Input Parameters

| ksp | - the iterative context
| scale | - the relaxation factor

### Keywords

KSP, Richardson, set, scale

Level:intermediate
Location: src/ksp/ksp/impls/rich/richscale.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages